[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.Terminated

Was Terminate called or not

## Declaration

Source position: custapp.pp line 76

`public property TCustomApplication.Terminated : Boolean read FTerminated;`

## Description

Terminated indicates whether Terminate was called or not. Descendent classes should check Terminated at regular intervals in their implementation of DoRun, and if it is set to True, should exit gracefully the DoRun method.

## See also

Terminate |  | Terminate the application.

Documentation generated on: Feb 26 2014